Bug 1115885 - Review Request: ghc-setlocale - A Haskell interface to setlocale()
Summary: Review Request: ghc-setlocale - A Haskell interface to setlocale()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1115894
TreeView+ depends on / blocked
 
Reported: 2014-07-03 09:38 UTC by Philip Withnall
Modified: 2014-08-07 15:33 UTC (History)
2 users (show)

Fixed In Version: ghc-setlocale-0.0.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 15:24:31 UTC
petersen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Jens Petersen 2014-07-07 08:37:53 UTC
Basically looks fine to me: a couple of comments below.


Package Review
==============
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[-]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

Public Domain (this library is just a small wrapper of setlocale())

[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/petersen/pkgreview/1115885-ghc-
     setlocale/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.

I suggest to drop '()' from the summary - probably not necessary.

[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 16 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Haskell:
[x]: This should never happen! ;)

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

My understanding is that generally Fedora Licensing prefers
a free license to public domain, so it might be nice to ask
the maintainer if they are willing to put a liberal license
on the code.

[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-setlocale-0.0.3-1.fc21.x86_64.rpm
          ghc-setlocale-devel-0.0.3-1.fc21.x86_64.rpm
          ghc-setlocale-0.0.3-1.fc21.src.rpm
ghc-setlocale.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-setlocale-devel ghc-setlocale
ghc-setlocale.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-setlocale-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(setlocale-0.0.3-c8efec773e4e398af4aea9dcac6b942b)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-setlocale(x86-64)

ghc-setlocale (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

Provides
--------
ghc-setlocale-devel:
    ghc-devel(setlocale-0.0.3-c8efec773e4e398af4aea9dcac6b942b)
    ghc-setlocale-devel
    ghc-setlocale-devel(x86-64)
    ghc-setlocale-static

ghc-setlocale:
    ghc(setlocale-0.0.3-c8efec773e4e398af4aea9dcac6b942b)
    ghc-setlocale
    ghc-setlocale(x86-64)
    libHSsetlocale-0.0.3-ghc7.6.3.so()(64bit)

Unversioned so-files
--------------------
ghc-setlocale: /usr/lib64/ghc-7.6.3/setlocale-0.0.3/libHSsetlocale-0.0.3-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/package/setlocale-0.0.3/setlocale-0.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 5466b6ebc3b4219804ff7d53b98f97c9723d78eac666512e4999eaba2210ed22
  CHECKSUM(SHA256) upstream package : 5466b6ebc3b4219804ff7d53b98f97c9723d78eac666512e4999eaba2210ed22

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1115885
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


Two suggestions:
- drop '()' from the summary
- contact the maintainer to ask if he might consider changing
  to a liberal FOSS license instead of Public Domain

Package APPROVED

Comment 2 Philip Withnall 2014-07-10 07:05:30 UTC
New Package SCM Request
=======================
Package Name: ghc-setlocale
Short Description: A Haskell interface to setlocale
Upstream URL: http://hackage.haskell.org/package/setlocale
Owners: pwithnall
Branches: f19 f20 f21
InitialCC: haskell-sig

Comment 3 Philip Withnall 2014-07-10 07:10:21 UTC
(In reply to Jens Petersen from comment #1)
> Two suggestions:
> - drop '()' from the summary

Will do when I commit.

> - contact the maintainer to ask if he might consider changing
>   to a liberal FOSS license instead of Public Domain

Why is that? From what I can see of Legal:Main and Packaging:Guidelines, public domain is a good, FSF-compatible way of licencing something. What would be the reason for relicencing?

Comment 4 Jens Petersen 2014-07-10 07:45:32 UTC
(In reply to Philip Withnall from comment #3)
> > - contact the maintainer to ask if he might consider changing
> >   to a liberal FOSS license instead of Public Domain
> 
> Why is that? From what I can see of Legal:Main and Packaging:Guidelines,
> public domain is a good, FSF-compatible way of licencing something. What
> would be the reason for relicencing?

from https://fedoraproject.org/wiki/Licensing:Main#Good_Licenses

"Being in the public domain is not a license; rather, it means the material is not copyrighted and no license is needed."

Also https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Public_Domain

I think earlier Fedora Legal was a bit ambivalent about Public Domain,
since some jurisdictions do not allow Public Domain, but it looks like
this may no longer be the case. So probably you can ignore this suggestion.

Comment 5 Gwyn Ciesla 2014-07-10 13:07:04 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-07-11 08:29:25 UTC
ghc-setlocale-0.0.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-setlocale-0.0.3-1.fc19

Comment 7 Fedora Update System 2014-07-11 08:31:04 UTC
ghc-setlocale-0.0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-setlocale-0.0.3-1.fc20

Comment 8 Fedora Update System 2014-07-12 02:22:02 UTC
ghc-setlocale-0.0.3-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 9 Jens Petersen 2014-07-30 06:40:49 UTC
I think this could be pushed to stable now. :)

Comment 10 Philip Withnall 2014-08-05 09:33:24 UTC
(In reply to Jens Petersen from comment #9)
> I think this could be pushed to stable now. :)

Push in progress. Sorry for being slow about this — I’ve been away for the past two weeks.

Comment 11 Fedora Update System 2014-08-07 15:24:31 UTC
ghc-setlocale-0.0.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2014-08-07 15:33:20 UTC
ghc-setlocale-0.0.3-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.